Issue605543

classification
Title: stdout misenconding (?)
Type: Severity: normal
Components: Core Versions:
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: fwierzbicki, pedronis, pjenvey
Priority: low Keywords:

Created on 2002-09-06.12:30:58 by pedronis, last changed 2009-06-21.21:32:17 by pjenvey.

Messages
msg720 (view) Author: Samuele Pedroni (pedronis) Date: 2002-09-06.12:30:58
[unicode vs. byte seq issue?]

Jython 2.1 on java1.3.0 (JIT: null)
Type "copyright", "credits" or "license" for more 
information.
>>> "£"
'\xA3'
>>> _4o = _.encode("cp850")
>>> _4o
'\x9C'
>>> #ok
>>> print _4o
?
>>> import sys; sys.stdout.write(_4o+'\n')
?
>>> import java.lang.System; 
java.lang.System.out.println(_4o)
?
>>> import java.lang.System; 
java.lang.System.out.write(_4o+'\n')
£
>>>
msg721 (view) Author: Samuele Pedroni (pedronis) Date: 2002-09-06.12:32:04
Logged In: YES 
user_id=61408

note: the session is under windows with 
python.console.enconding=cp850
msg722 (view) Author: Samuele Pedroni (pedronis) Date: 2002-09-23.15:04:20
Logged In: YES 
user_id=61408

this CPython patch and its design and destiny

Allow more Unicode on sys.stdout (2002-09-21)
http://python.org/sf/612627

are obviously relevant.
msg4827 (view) Author: Philip Jenvey (pjenvey) Date: 2009-06-21.21:32:16
fixed in 2.5
History
Date User Action Args
2009-06-21 21:32:17pjenveysetstatus: open -> closed
resolution: fixed
messages: + msg4827
nosy: + pjenvey
2009-03-03 18:00:24fwierzbickisetnosy: + fwierzbicki
2002-09-06 12:30:58pedroniscreate